@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DotGothic16&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DotGothic16&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

body {
    margin: 0;
    padding: 0;
    background-image: url('https://media.giphy.com/media/9bTjZrytydVRK/giphy.gif');
    background-size: cover;
    background-position: center;
}

.navbar-toggler {
    display: block;
    height: 100px;
    width: 100px;
    margin-left: 100px;
    border: none !important;
}

.btn-outline-light {
    margin-right: 100px;
    border: #ffffff !important;
}

.navbar-toggler:hover {
    background-color: white !important;
}

.btn-outline-light:hover {
    background-color: white !important;
}

span {
    box-sizing: border-box;
    color: #000000;
    font-family: "Open Sans", sans-serif;
    font-weight: bolder;
    font-size: x-large;
}

span:hover {
    background-color: #2e417e;
    border-radius: 5px;
    color: #f6f4f3;
}

.fixed-top-right {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1000;
    flex-direction: column;
    gap: 10px;
    margin-top: 7cm;
}

.btn-light {
    background-color: #2e417e !important;
    margin: 10px;
}

.btn-light:hover {
    background-color: #988dc1 !important;
}

.custom-dropdown-menu {
    background-color: #f6f4f3 !important;
    border: none;
}

.custom-dropdown-menu:hover {
    background-color: white !important;
    border: none;
}

body::before {
    content: '';
    background: rgba(0, 0, 0, .7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    position: fixed;
}

.container {
    position: relative;
    z-index: 1;
    color: white;
}

.title {
    text-align: center;
}

.fixed-top-right {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1000;
    flex-direction: column;
    gap: 0px;
    margin-top: 4cm;
}

.spacer {
    width: 100px;
    height: 100px !important;
}



.sub {
    text-decoration: none !important;
}

p a {
    text-decoration: none !important;
    color: #2e417e;
    font-size: 110%;
    font-weight: 700;
    font-family: "Open Sans", sans-serif;
}

p a:hover {
    background-color: #988dc1;
    border-radius: 5px;
}

.bg-custom {
    background-color: #01184e;
}

footer {
    padding: -0em;
    text-align: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    font-size: medium;
}

.card-body {
    background-color: #2e417e !important;
    max-width: 34.15em;
    margin: -4;
    border-radius: 7px;
    text-decoration: none !important;
    transition: transform 0.3s ease;
    background-color: #2e417e;
    transition: box-shadow 0.3s ease;
    background-color: #2e417e !important;
}

.card-body:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 16px #2e417e;
}

.titulo {
    text-align: center !;
    font-family: DotGothic16;
    color: #2e417e;
}

.titulo h1 {
    font-size: 60px;
    white-space: nowrap;
    overflow: hidden;
    width: auto;
    animation: typing 2s steps(40, end);
    font-family: DotGothic16;
    margin-left: 39%;
    margin-bottom: 2cm;
    font-weight: 800;
}



@media (max-width: 768px) {
    .titulo h1 {
        margin-right: 1cm;
        font-size: 50px;
    }

    .card mb-3 {
        height: 10rem;
    }
}

@keyframes typing {
    from {
        width: 0;
        /* Inicia com largura zero */
    }
}

h6 {
    color: white !important;
    font-size: 30pt !important;
    margin-top: 1cm !important;
    text-align: center;
    font-weight: 800 !important;
}

.dec {
    text-decoration: none;

}

.card-text {
    color: #fff;
    font-size: 16pt;
    padding-top: 1cm;
    font-weight: 800;
    font-family: OpenSans;
    letter-spacing: 1px;
    text-align: justify;
}
